Package com.microsoft.sqlserver.jdbc

## Class SQLServerResultSetMetaData

- java.lang.Object
- - com.microsoft.sqlserver.jdbc.SQLServerResultSetMetaData

All Implemented Interfaces:
  `ISQLServerResultSetMetaData`, `java.io.Serializable`, `java.sql.ResultSetMetaData`, `java.sql.Wrapper`

    public final class SQLServerResultSetMetaData
    extends java.lang.Object
    implements ISQLServerResultSetMetaData

Provides an implementation of the result set metadata to the SQL Server. A ResultSetMetaData object can be used to obtain the meta data (types and type properties) of the columns in a ResultSet. The API javadoc for JDBC API methods that this class implements are not repeated here. Please see Sun's JDBC API interfaces javadoc for those details.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface java.sql.ResultSetMetaData

`columnNoNulls, columnNullable, columnNullableUnknown`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getCatalogName​(int column)`
`java.lang.String` `getColumnClassName​(int column)`
`int` `getColumnCount()`
`int` `getColumnDisplaySize​(int column)`
`java.lang.String` `getColumnLabel​(int column)`
`java.lang.String` `getColumnName​(int column)`
`int` `getColumnType​(int column)`
`java.lang.String` `getColumnTypeName​(int column)`
`int` `getPrecision​(int column)`
`int` `getScale​(int column)`
`java.lang.String` `getSchemaName​(int column)`
`java.lang.String` `getTableName​(int column)`
`boolean` `isAutoIncrement​(int column)`
`boolean` `isCaseSensitive​(int column)`
`boolean` `isCurrency​(int column)`
`boolean` `isDefinitelyWritable​(int column)`
`int` `isNullable​(int column)`
`boolean` `isReadOnly​(int column)`
`boolean` `isSearchable​(int column)`
`boolean` `isSigned​(int column)`
`boolean` `isSparseColumnSet​(int column)` Returns if the column is a SQLServer SparseColumnSet.
`boolean` `isWrapperFor​(java.lang.Class<?> iface)`
`boolean` `isWritable​(int column)`
`java.lang.String` `toString()`
`<T> T` `unwrap​(java.lang.Class<T> iface)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### toString

    public final java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### isWrapperFor

    public boolean isWrapperFor​(java.lang.Class<?> iface)
                         throws java.sql.SQLException

Specified by:
  `isWrapperFor` in interface `java.sql.Wrapper`
Throws:
  `java.sql.SQLException`

#### unwrap

    public <T> T unwrap​(java.lang.Class<T> iface)
                 throws java.sql.SQLException

Specified by:
  `unwrap` in interface `java.sql.Wrapper`
Throws:
  `java.sql.SQLException`

#### getCatalogName

    public java.lang.String getCatalogName​(int column)
                                    throws SQLServerException

Specified by:
  `getCatalogName` in interface `java.sql.ResultSetMetaData`
Throws:
  `SQLServerException`

#### getColumnCount

    public int getColumnCount()
                       throws SQLServerException

Specified by:
  `getColumnCount` in interface `java.sql.ResultSetMetaData`
Throws:
  `SQLServerException`

#### getColumnDisplaySize

    public int getColumnDisplaySize​(int column)
                             throws SQLServerException

Specified by:
  `getColumnDisplaySize` in interface `java.sql.ResultSetMetaData`
Throws:
  `SQLServerException`

#### getColumnLabel

    public java.lang.String getColumnLabel​(int column)
                                    throws SQLServerException

Specified by:
  `getColumnLabel` in interface `java.sql.ResultSetMetaData`
Throws:
  `SQLServerException`

#### getColumnName

    public java.lang.String getColumnName​(int column)
                                   throws SQLServerException

Specified by:
  `getColumnName` in interface `java.sql.ResultSetMetaData`
Throws:
  `SQLServerException`

#### getColumnType

    public int getColumnType​(int column)
                      throws SQLServerException

Specified by:
  `getColumnType` in interface `java.sql.ResultSetMetaData`
Throws:
  `SQLServerException`

#### getColumnTypeName

    public java.lang.String getColumnTypeName​(int column)
                                       throws SQLServerException

Specified by:
  `getColumnTypeName` in interface `java.sql.ResultSetMetaData`
Throws:
  `SQLServerException`

#### getPrecision

    public int getPrecision​(int column)
                     throws SQLServerException

Specified by:
  `getPrecision` in interface `java.sql.ResultSetMetaData`
Throws:
  `SQLServerException`

#### getScale

    public int getScale​(int column)
                 throws SQLServerException

Specified by:
  `getScale` in interface `java.sql.ResultSetMetaData`
Throws:
  `SQLServerException`

#### getSchemaName

    public java.lang.String getSchemaName​(int column)
                                   throws SQLServerException

Specified by:
  `getSchemaName` in interface `java.sql.ResultSetMetaData`
Throws:
  `SQLServerException`

#### getTableName

    public java.lang.String getTableName​(int column)
                                  throws SQLServerException

Specified by:
  `getTableName` in interface `java.sql.ResultSetMetaData`
Throws:
  `SQLServerException`

#### isAutoIncrement

    public boolean isAutoIncrement​(int column)
                            throws SQLServerException

Specified by:
  `isAutoIncrement` in interface `java.sql.ResultSetMetaData`
Throws:
  `SQLServerException`

#### isCaseSensitive

    public boolean isCaseSensitive​(int column)
                            throws SQLServerException

Specified by:
  `isCaseSensitive` in interface `java.sql.ResultSetMetaData`
Throws:
  `SQLServerException`

#### isCurrency

    public boolean isCurrency​(int column)
                       throws SQLServerException

Specified by:
  `isCurrency` in interface `java.sql.ResultSetMetaData`
Throws:
  `SQLServerException`

#### isDefinitelyWritable

    public boolean isDefinitelyWritable​(int column)
                                 throws SQLServerException

Specified by:
  `isDefinitelyWritable` in interface `java.sql.ResultSetMetaData`
Throws:
  `SQLServerException`

#### isNullable

    public int isNullable​(int column)
                   throws SQLServerException

Specified by:
  `isNullable` in interface `java.sql.ResultSetMetaData`
Throws:
  `SQLServerException`

#### isReadOnly

    public boolean isReadOnly​(int column)
                       throws SQLServerException

Specified by:
  `isReadOnly` in interface `java.sql.ResultSetMetaData`
Throws:
  `SQLServerException`

#### isSearchable

    public boolean isSearchable​(int column)
                         throws SQLServerException

Specified by:
  `isSearchable` in interface `java.sql.ResultSetMetaData`
Throws:
  `SQLServerException`

#### isSigned

    public boolean isSigned​(int column)
                     throws SQLServerException

Specified by:
  `isSigned` in interface `java.sql.ResultSetMetaData`
Throws:
  `SQLServerException`

#### isSparseColumnSet

    public boolean isSparseColumnSet​(int column)
                              throws SQLServerException

Description copied from interface: `ISQLServerResultSetMetaData`
Returns if the column is a SQLServer SparseColumnSet.

Specified by:
  `isSparseColumnSet` in interface `ISQLServerResultSetMetaData`
Parameters:
  `column` - The column number
Returns:
  true if a column in a result set is a sparse column set, otherwise false.
Throws:
  `SQLServerException` - when an error occurs

#### isWritable

    public boolean isWritable​(int column)
                       throws SQLServerException

Specified by:
  `isWritable` in interface `java.sql.ResultSetMetaData`
Throws:
  `SQLServerException`

#### getColumnClassName

    public java.lang.String getColumnClassName​(int column)
                                        throws SQLServerException

Specified by:
  `getColumnClassName` in interface `java.sql.ResultSetMetaData`
Throws:
  `SQLServerException`